
/*

  KLayout Layout Viewer
  Copyright (C) 2006 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#include "antConfig.h"

namespace ant
{

// ------------------------------------------------------------
//  Helper functions to get and set the configuration

std::string 
SnapModeConverter::to_string (const ant::Service::SnapMode &m)
{
  if (m == ant::Service::Any) {
    return "any";
  } else if (m == ant::Service::Diagonal) {
    return "diagonal";
  } else if (m == ant::Service::Ortho) {
    return "ortho";
  } else if (m == ant::Service::Horizontal) {
    return "horizontal";
  } else if (m == ant::Service::Vertical) {
    return "vertical";
  } else {
    return "";
  }
}

void 
SnapModeConverter::from_string (const std::string &s, ant::Service::SnapMode &m)
{
  std::string t (tl::trim (s));
  if (t == "any") {
    m = ant::Service::Any;
  } else if (t == "diagonal") {
    m = ant::Service::Diagonal;
  } else if (t == "ortho") {
    m = ant::Service::Ortho;
  } else if (t == "horizontal") {
    m = ant::Service::Horizontal;
  } else if (t == "vertical") {
    m = ant::Service::Vertical;
  } else {
    m = ant::Service::Any;
  }
}

// ------------------------------------------------------------
//  Declaration of the configuration options

const std::string cfg_max_number_of_rulers ("rulers");
const std::string cfg_ruler_snap_range ("ruler-snap-range");
const std::string cfg_ruler_color ("ruler-color");
const std::string cfg_ruler_snap_mode ("ruler-snap-mode");
const std::string cfg_ruler_obj_snap ("ruler-obj-snap");
const std::string cfg_ruler_grid_snap ("ruler-grid-snap");
const std::string cfg_ruler_grid_micron ("grid-micron");

} // namespace ant

