
/*

  KLayout Layout Viewer
  Copyright (C) 2006 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef HDR_antConfig
#define HDR_antConfig

#include <string>
#include "antService.h"

namespace ant
{

/** 
 *  @brief Declaration of the configuration names
 */
extern const std::string cfg_max_number_of_rulers;
extern const std::string cfg_ruler_snap_range;
extern const std::string cfg_ruler_color;
extern const std::string cfg_ruler_snap_mode;
extern const std::string cfg_ruler_obj_snap;
extern const std::string cfg_ruler_grid_snap;
extern const std::string cfg_ruler_grid_micron;

// ------------------------------------------------------------
//  Helper functions to get and set the configuration

struct SnapModeConverter 
{
  std::string to_string (const ant::Service::SnapMode &m);
  void from_string (const std::string &s, ant::Service::SnapMode &m);
};

}

#endif

