
/*

  KLayout Layout Viewer
  Copyright (C) 2006 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#include "layMouseTracker.h"
#include "layLayoutCanvas.h"
#include "layLayoutView.h"

namespace lay
{

MouseTracker::MouseTracker (lay::LayoutCanvas *c, lay::LayoutView *view)
  : lay::ViewService (c), mp_canvas (c), mp_view (view)
{
  c->grab_mouse (this, false);
}

bool 
MouseTracker::mouse_move_event (const db::DPoint &p, bool prio)
{
  if (prio) {
    if (mp_view->dbu_coordinates ()) {
      double x = 0.0, y = 0.0;
      if (mp_view->active_cellview_index () >= 0) {
        double dbu = mp_view->cellview (mp_view->active_cellview_index ())->layout ().dbu ();
        x = p.x() / dbu;
        y = p.y() / dbu;
      }
      mp_canvas->current_pos (x, y, true);
    } else {
      mp_canvas->current_pos (p.x (), p.y (), false);
    }
  }
  return false;
}

} // namespace lay

